Name: gnome-translate
Summary: GNOME interface to libtranslate -- Natural language translator
Version: 0.99
Release: 3%{?dist}
Group: User Interface/Desktops
License: GPL 
URL: http://www.nongnu.org/libtranslate/gnome-translate
Source: http://savannah.nongnu.org/download/libtranslate/gnome-translate-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: gtk2 >= 2.4.0, GConf2 >= 2.4.0, eel2 >= 2.6.0, pango >= 1.2.0
BuildRequires: gtk2-devel >= 2.4.0, GConf2-devel >= 2.4.0
BuildRequires: eel2-devel >= 2.6.0, libtranslate-devel, aspell-devel

BuildRequires: desktop-file-utils >= 0.2.90
BuildRequires: startup-notification-devel >= 0.5
BuildRequires: scrollkeeper gettext

# For intltool:
BuildRequires: perl-XML-Parser >= 2.31-16

Requires(pre): GConf2
Requires(post): GConf2, scrollkeeper
Requires(preun): GConf2
Requires(postun): scrollkeeper


%description
GNOME Translate is a GNOME interface to libtranslate library.
It can translate a text or web page between several natural languages,
and it can automatically detect the source language as you type.


%prep
%setup -q


%build

%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor fedora --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  --add-category X-Fedora                                   \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

scrollkeeper-update -q || :


%files -f %{name}.lang
%defattr(-,root,root,-)

%doc AUTHORS COPYING README

%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/applications/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%changelog
* Mon Sep 12 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.99-3
- more spec file cleanups
- accepted for Fedora Extra
  (review by Aurelien Bompard <gauret@free.fr>)

* Sat Sep 10 2005 Dmitry Butskoy <Dmitry@Butskoj.name> - 0.99-2
- clenups (#165960)

* Fri Aug 19 2005 Dmitry Butskoy <Dmitry@Butskoj.name> - 0.99-1
- Initial release.
